k0rdent AI Docs

Update server metadata

Update host metadata including tags and persona.

PATCH
/v1/regions/{region}/projects/{project}/infrastructure/servers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

region*string

Region identifier

project*string

Project identifier

id*string

Unique server identifier (UUID)

Formatuuid

Request Body

application/json

displayName?string

Updated human-friendly display name for the server.

description?string

Updated description of this resource.

tags?

Updated metadata tags

persona?string

Updated persona assignment

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.k0rdent.ai/v1/regions/string/projects/string/infrastructure/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/infrastructure/servers/server-p7q8r9",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "server-p7q8r9",
  "displayName": "string",
  "description": "string",
  "hardwareSpecs": {
    "cpu": {},
    "ram": {},
    "gpu": {}
  },
  "bmcAddress": "string",
  "provisioningState": "registered",
  "healthStatus": {
    "status": "healthy",
    "lastCheckTime": "2019-08-24T14:15:22Z",
    "failureReasons": [
      "string"
    ]
  },
  "tags": {
    "property1": "string",
    "property2": "string"
  },
  "persona": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings